Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for TCP/IP API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.connector.tcpip.model.mbeans
Class TCPIPMonitorData

    java.lang.Object
      com.stc.connector.tcpip.model.mbeans.TCPIPMonitorData

All Implemented Interfaces:
  com.stc.connector.management.jca.system.mbeans.MonitorDataContainer

    public class TCPIPMonitorData

extends java.lang.Object
implements com.stc.connector.management.jca.system.mbeans.MonitorDataContainer

Monitor Data object for TCP/IP

Version:
  5.1
Author:
  Andy Schaefer

Constructor Summary
`TCPIPMonitorData()`

Method Summary
`java.lang.String` | `getExternalSystemConnectionStatus()`
`java.lang.String` | `getLastReceiveOperationTimestamp()`
`java.lang.String` | `getLastSendOperationTimestamp()`
`int` | `getStatus()`
`void` | `setExternalSystemConnectionStatus(java.lang.String extSystemConnStatus)`
`void` | `setLastReceiveOperationTimestamp(java.lang.String aValue)`
`void` | `setLastSendOperationTimestamp(java.lang.String aValue)`
`void` | `setStatus(int aValue)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TCPIPMonitorData

    public TCPIPMonitorData()

Method Detail

### getLastReceiveOperationTimestamp

    public java.lang.String getLastReceiveOperationTimestamp()

  Returns:
    Last Received Opertion's Timestamp

### setLastReceiveOperationTimestamp

    public void setLastReceiveOperationTimestamp(java.lang.String aValue)

  Parameters:
    `aValue` - Send Received Opertion's Timestamp

### getLastSendOperationTimestamp

    public java.lang.String getLastSendOperationTimestamp()

  Returns:
    Last Send Opertion's Timestamp

### setLastSendOperationTimestamp

    public void setLastSendOperationTimestamp(java.lang.String aValue)

  Parameters:
    `aValue` - Send Received Opertion's Timestamp

### getStatus

    public int getStatus()

  Returns:
    Current Status

### setStatus

    public void setStatus(int aValue)

  Parameters:
    `aValue` - Status to be set

### getExternalSystemConnectionStatus

    public java.lang.String getExternalSystemConnectionStatus()

### setExternalSystemConnectionStatus

    public void setExternalSystemConnectionStatus(java.lang.String extSystemConnStatus)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for TCP/IP API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD